<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "rawmain";
$trandb = "rawtran";
$formname = "Material Given to Karigar Register";
$file = "slmultigstreg.php";


$zroot = $_SESSION["zdir"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $invno = $_POST["invno"];
    $party = $_POST["party"];
    $dtype = $_POST["dtype"];
    $scope = $_POST["scope"];
    $printnar = $_POST["prna"];

    $dtypecond = "";
    $mscopecond = "";
    $itemcond = "";
    $gstcond = "";
    $prodtypecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);




    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (!empty($scope)) {
        $mscopecond = " AND `type`='$scope' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; slgstreg.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; slgstreg.php");
    }

    $getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` where
                           `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond  
                            ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
        .dtype{
            background-color: #cccccc;
        }
    </style>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-striped table-condensed table-bordered table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th width='5%'>Sr</th>
                                <th width='5%'>Invoice</th>
                                <th width='12%'>Date</th>
                                <th width='19%'>Party</th>
                                <!--<th width='10%'>Salesman</th>-->
                                <th width='5%' class="text-right">Amount</th>
                                <th width='5%' class="text-right">Item Discount</th>
                                <th width='5%' class="text-right">Bill Discount</th>
                                <th width='5%' class="text-right">Packing</th>
                                <th width='5%' class="text-right">Taxable Value</th>
                                <th width='6%' class="text-right">GST 5%</th>
                                <th width='6%' class="text-right">GST 12%</th>
                                <th width='6%' class="text-right">GST 18%</th>
                                <th width='5%' class="text-right">GST 28%</th>
                                <th width='11%' class="text-right">Bill.Amt</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $ttotamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totgst5 = 0;
                            $totgst12 = 0;
                            $totgst18 = 0;
                            $totgst28 = 0;
                            $totitmpr = 0;
                            $totdisc = 0;
                            $tottaxamt = 0;
                            $totcgst = 0;
                            $totsgst = 0;
                            $totigst = 0;


                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);
                                $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'")or die(mysqli_error($conn));
                                $sale = mysqli_fetch_array($getsale);

                                $ctr++;
                                Echo "<tr id='boldfont'>";
                                Echo "<td>$ctr</td>";
                                Echo "<td>$pmain[invno]</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td>$supp[name]</td>";
//                                Echo "<td>$sale[name]</td>";
                                Echo "<td class='text-right'>$pmain[subtotal]</td>";
                                Echo "<td class='text-right'>$pmain[litemdisc]</td>";
                                Echo "<td class='text-right'>$pmain[discount]</td>";
                                Echo "<td class='text-right'>$pmain[couamt]</td>";
                                Echo "<td class='text-right'>$pmain[tottaxamt]</td>";
                                Echo "<td class='text-right'>$pmain[totgst5]</td>";
                                Echo "<td class='text-right'>$pmain[totgst12]</td>";
                                Echo "<td class='text-right'>$pmain[totgst18]</td>";
                                Echo "<td class='text-right'>$pmain[totgst28]</td>";
                                Echo "<td class='text-right'>$pmain[netamt]</td>";
                                Echo "</tr>";

                                $ttotamt = $ttotamt + $pmain['subtotal'];
                                $totitmpr = $totitmpr + $pmain['litemdisc'];
                                $totdisc = $totdisc + $pmain['discount'];
                                $totpack = $totpack + $pmain['couamt'];
                                $tottaxamt = $tottaxamt + $pmain['tottaxamt'];
                                $totgst5 = $totgst5 + $pmain['totgst5'];
                                $totgst12 = $totgst12 + $pmain['totgst12'];
                                $totgst18 = $totgst18 + $pmain['totgst18'];
                                $totgst28 = $totgst28 + $pmain['totgst28'];
                                $totbill = $totbill + $pmain['netamt'];

                                if ($_POST["dtype"] == 2 || $_POST["dtype"] == 3) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    Echo "<th width='5%;'class='dtype'>Sr</th>";
                                    Echo "<th width='8%' class='dtype'>Material</th>";
                                    Echo "<th width='8%' class='dtype'>Color</th>";
                                    Echo "<th width='6%' class='dtype'>HSN Code</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Yard</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Mtrs.</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Qty</th>";
//                                    Echo "<th width='6%' class='numeric dtype'>Unit</th>";
//                                    Echo "<th width='6%' class='numeric dtype'>Mrp</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Rate</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Amount</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Disc%</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Disc. Amt.</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Taxable Amt.</th>";
                                    Echo "<th width='6%' class='numeric dtype'>CGST %</th>";
                                    Echo "<th width='6%' class='numeric dtype'>CGST Amt.</th>";
                                    Echo "<th width='6%' class='numeric dtype'>SGST %</th>";
                                    Echo "<th width='6%' class='numeric dtype'>SGST Amt.</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Total</th>";
                                    Echo "<tr>";

                                    $ctr2 = 0;
                                    $totyard = $totmtrs = $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `rawmat` WHERE `code`='$tran[item]'")or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'")or die(mysqli_error($conn));
                                        $color = mysqli_fetch_array($getcolor);


                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
//                                        Echo "<td>$tran[barcode]</td>";
                                        Echo "<td>$item[name]</td>";
                                        Echo "<td>$color[name]</td>";
                                        Echo "<td>$tran[hsncode]</td>";
                                        Echo "<td class='numeric'>$tran[yard]</td>";
                                        Echo "<td class='numeric'>$tran[meters]</td>";
                                        Echo "<td class='numeric'>$tran[qty]</td>";
//                                        Echo "<td class='numeric'>$tran[unit]</td>";
//                                        Echo "<td class='numeric'>$tran[mrp]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "<td class='numeric'>$tran[discperc]</td>";
                                        Echo "<td class='numeric'>$tran[discount]</td>";
                                        Echo "<td class='numeric'>$tran[subtot]</td>";
                                        Echo "<td class='numeric'>$tran[cgstrate]</td>";
                                        Echo "<td class='numeric'>$tran[cgstamt]</td>";
                                        Echo "<td class='numeric'>$tran[sgstrate]</td>";
                                        Echo "<td class='numeric'>$tran[sgstamt]</td>";
//                                        Echo "<td class='numeric'>$tran[igstrate]</td>";
//                                        Echo "<td class='numeric'>$tran[igstamt]</td>";
                                        Echo "<td class='numeric'>$tran[total]</td>";
                                        Echo "</tr>";

                                        $totamt = $totamt + $tran['amount'];
                                        $tottaxable = $tottaxable + $tran['subtot'];
                                        $totyard = $totyard + $tran['yard'];
                                        $totmtrs = $totmtrs + $tran['meters'];
                                        $totqty = $totqty + $tran['qty'];
                                        $totdisc = $totdisc + $tran['discperc'];
                                        $totdiscamt = $totdiscamt + $tran['discount'];
                                        $totcgst = $totcgst + $tran['cgstamt'];
                                        $totsgst = $totsgst + $tran['sgstamt'];
                                        $totigst = $totigst + $tran['igstamt'];
                                        $total = $total + $tran['total'];
                                    }
                                    echo "<tr> ";
                                    $colr1 = "blue";

                                    echo "<td style='color:$colr1'</td>";
//                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1' id='font1'><h5><b>Total</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totyard</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totmtrs</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totqty</b></h5></td>";
//                                    echo "<td style='color:$colr1' id='font1'></td>";
//                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totamt</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totdisc</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totdiscamt</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$tottaxable</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totcgst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totsgst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$total</b></h5></td>";
                                    echo "</tr>";

                                    Echo "</table>";
                                    Echo "</td>";
                                }
                                if ($_POST["dtype"] == 3) {
                                    $gettran = mysqli_query($conn, "SELECT * FROM `prodmake` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                    if (mysqli_num_rows($gettran) > 0) {
                                        Echo "<tr style='height:10px;'>";
                                        Echo "<td colspan='25'>";
                                        Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        echo "<h4>Product Making</h4>";
                                        Echo "<th width='5%;' style='background-color:#0a8bfa' class='dtype'>Sr</th>";
                                        Echo "<th width='8%'  style='background-color:#0a8bfa' class='dtype'>Item</th>";
                                        Echo "<th width='8%'  style='background-color:#0a8bfa' class='dtype'>Color</th>";
                                        Echo "<th width='6%'  style='background-color:#0a8bfa' class='numeric dtype'>Qty</th>";
                                        Echo "<th width='6%'  style='background-color:#0a8bfa' class='numeric dtype'>Rate</th>";
                                        Echo "<tr>";

                                        $ctr2 = 0;
                                        $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;



                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'")or die(mysqli_error($conn));
                                            $item = mysqli_fetch_array($getitem);

                                            $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'")or die(mysqli_error($conn));
                                            $color = mysqli_fetch_array($getcolor);


                                            $ctr2++;
                                            Echo "<tr>";
                                            Echo "<td>$ctr2</td>";
                                            Echo "<td>$item[name]</td>";
                                            Echo "<td>$color[name]</td>";
                                            Echo "<td class='numeric'>$tran[qty]</td>";
                                            Echo "<td class='numeric'>$tran[rate]</td>";
                                            Echo "</tr>";
                                        }

                                        Echo "</table>";
                                        Echo "</td>";
                                    }
                                }
                            }

                            $colr = "green";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
//                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$ttotamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totitmpr</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totdisc</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totpack</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$tottaxamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst5</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst12</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst18</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst28</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totbill</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}


if (isset($_POST["excel"])) {
    $party = $_POST["party"];
    $salesman = $_POST["salesman"];
    $item = $_POST["item"];
    $prodtype = $_POST["prodtype"];
    $dtype = $_POST["dtype"];
    $gstperc = $_POST["gstperc"];

    $dtypecond = "";
    $mscopecond = "";
    $itemcond = "";
    $gstcond = "";
    $prodtypecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }
    if (!empty($salesman)) {
        $salemcond = " AND `salesman`='$salesman' ";
    }
    if (!empty($item)) {
        $itemcond = " AND `item`='$item' ";
    }
    if (!empty($gstperc)) {
        $gstcond = " AND  `gstperc`='$gstperc' ";
    }
    if (!empty($prodtype)) {
        $prodtypecond = " AND `prodtype`='$prodtype' ";
    }
    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; slgstreg.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; slgstreg.php");
    }

    $getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` where
                           `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond  $itemcond 
                            $salemcond $prodtypecond $gstcond ")or die(mysqli_error($conn));

    $contents .= "Sr,Inv.No,Date,Supplier,Salesman,Amount,Itm.Disc%, Discount,Packing,Taxable Value,GST 5%,GST 12%,GST 18%,GST 28%,Bill.Amt\n";

    $ctr = 0;
    $ttotamt = 0;
    $totpack = 0;
    $totbill = 0;
    $totitmpr = 0;
    $totdisc = 0;
    $tottaxamt = 0;
    $totcgst = 0;
    $totsgst = 0;
    $totigst = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);
        $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'")or die(mysqli_error($conn));
        $sale = mysqli_fetch_array($getsale);

        $ctr++;
        $contents .= $ctr . ",";
        $contents .= $pmain[invno] . ",";
        $contents .= $pmain[mydt] . ",";
        $contents .= $supp[name] . ",";
        $contents .= $sale[name] . ",";
        $contents .= $pmain[subtotal] . ",";
        $contents .= $pmain[litemdisc] . ",";
        $contents .= $pmain[discount] . ",";
        $contents .= $pmain[couamt] . ",";
        $contents .= $pmain[taxamt] . ",";
        $contents .= $pmain[totgst5] . ",";
        $contents .= $pmain[totgst12] . ",";
        $contents .= $pmain[totgst18] . ",";
        $contents .= $pmain[totgst28] . ",";
        $contents .= $pmain[netamt] . "\n";

        $ttotamt = $ttotamt + $pmain[subtotal];
        $totitmpr = $totitmpr + $pmain[litemdisc];
        $totdisc = $totdisc + $pmain[discount];
        $totpack = $totpack + $pmain[couamt];
        $tottaxamt = $tottaxamt + $pmain[taxamt];
        $totgst5 = $totsgst + $pmain[totgst5];
        $totgst12 = $totcgst + $pmain[totgst12];
        $totgst18 = $totigst + $pmain[totgst18];
        $totgst28 = $totigst + $pmain[totgst28];
        $totbill = $totbill + $pmain[netamt];

        if ($_POST["dtype"] == 2) {

            $contents .= "Sr,Barcode,Itemname,HSN Code,Qty,Unit,Mrp,Rate,Amount,Disc%,Disc. Amt.,Taxable Amt.,CGST %,CGST Amt.,SGST %,SGST Amt.,IGST % ,IGST Amt.,Total\n";


            $ctr2 = 0;
            $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno` = '$pmain[vouchno]'")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`, `name` FROM `item` WHERE `code` = '$pmain[item]'")or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $getunit = mysqli_query($conn, "SELECT `code`, `name` FROM `unit` WHERE `code` = '$pmain[unit]'")or die(mysqli_error($conn));
                $unit = mysqli_fetch_array($getunit);

                $ctr2++;
                $contents .= $ctr2 . ",";
                $contents .= $pmain[barcode] . ",";
                $contents .= $item[name] . ",";
                $contents .= $tran[hsncode] . ",";
                $contents .= $tran[qty] . ",";
                $contents .= $tran[unit] . ",";
                $contents .= $tran[mrp] . ",";
                $contents .= $tran[rate] . ",";
                $contents .= $tran[amount] . ",";
                $contents .= $tran[discperc] . ",";
                $contents .= $tran[discount] . ",";
                $contents .= $tran[grossamt] . ",";
                $contents .= $tran[cgstrate] . ",";
                $contents .= $tran[cgstamt] . ",";
                $contents .= $tran[sgstrate] . ",";
                $contents .= $tran[sgstamt] . ",";
                $contents .= $tran[igstrate] . ",";
                $contents .= $tran[igstamt] . ",";
                $contents .= $tran[total] . "\n";


                $totamt = $totamt + $tran[amount];
                $tottaxable = $tottaxable + $tran[grossamt];
                $totqty = $totqty + $tran[qty];
                $totdisc = $totdisc + $tran[discperc];
                $totdiscamt = $totdiscamt + $tran[discount];
                $totcgst = $totcgst + $tran[cgstamt];
                $totsgst = $totsgst + $tran[sgstamt];
                $totigst = $totigst + $tran[igstamt];
                $total = $total + $tran[total];
            }


            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= 'Total' . ",";
            $contents .= $totqty . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= $totamt . ",";
            $contents .= $totdisc . ",";
            $contents .= $totdiscamt . ",";
            $contents .= $tottaxable . ",";
            $contents .= " " . ",";
            $contents .= $totcgst . ",";
            $contents .= " " . ",";
            $contents .= $totsgst . ",";
            $contents .= " " . ",";
            $contents .= $totigst . ",";
            $contents .= $total . "\n";
        }
    }

    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= 'Grand Total' . ",";
    $contents .= $ttotamt . ",";
    $contents .= $totitmpr . ",";
    $contents .= $totdisc . ",";
    $contents .= $totpack . ",";
    $contents .= $tottaxamt . ",";
    $contents .= $totgst5 . ",";
    $contents .= $totgst12 . ",";
    $contents .= $totgst18 . ",";
    $contents .= $totgst28 . ",";
    $contents .= $totbill . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>